Request URL
https://gateway.pay247.io/gateway/payin/query
Request Method
- POST
Request Parameters
| Parameter | Must | Type | Explanation |
|---|---|---|---|
| mch_id | Yes | string | Merchant ID |
| mch_order_no | Yes | string | Merchant Order NO. |
| timestamp | Yes | string | timestamp millisecond |
| version | Yes | string | v3.0 |
| uuid | Yes | string | Request ID: 550e8400-e29b-41d4-a716-446655440000 |
| sign | Yes | string | Signature |
Response data:
| Parameter | Must | Type | Explanation |
|---|---|---|---|
| mch_order_no | Yes | string | Merchant Order NO. |
| order_no | Yes | string | System Order NO. |
| status | Yes | string | PENDING; DEALING; TIMEOUT; CLOSED; SUCCESS; FAIL; REFUND; UNDERPAID, OVERPAID |
| currency | Yes | string | Currency |
| utr | No | string | Unique Transaction Reference number, return it when success |
| amount | Yes | string | Amount |
| actual_amount | Yes | string | Actual Paid Amount |
The payin status flowchart

For example
{
"code": 0,
"message": "Success",
"timestamp": 1594099906123,
"uuid": "7eb3c9e-5a1d-4a19-be2a-c80eac39830a",
"data": {
"mch_id": "MCH12345678",
"mch_order_no": "Test20200707042747519753974848",
"order_no": "P20200707042747519753974832",
"currency": "USD",
"amount": "99.11",
"actual_amount": "99.00",
"pay_method": "BANK",
"pay_theme": "link",
"fee": "1.99",
"pay_url": "https://pay.xxx.com/link/DyDpCjDfkr",
"status": "SUCCESS"
}
}
